#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IPC
%define		pnam	ShareLite
Summary:	IPC::ShareLite Perl module - light-weight interface to shared memory
Summary(pl.UTF-8):	Moduł Perla IPC::ShareLite - lekki interfejs do pamięci dzielonej
Name:		perl-IPC-ShareLite
Version:	0.17
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IPC/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	54c7aa08dc065b6c946c48491d33450d
URL:		http://search.cpan.org/dist/IPC-ShareLite/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPC::ShareLite provides a simple interface to shared memory, allowing
data to be efficiently communicated between processes. Your operating
system must support SysV IPC (shared memory and semaphores) in order
to use this module.

%description -l pl.UTF-8
IPC::ShareLite udostępnia prosty interfejs do pamięci wspólnej,
umożliwiając wydajną wymianę danych pomiędzy procesami. Aby
korzystanie z tego modułu było możliwe, System operacyjny musi
wspierać SysV IPC (pamięć wspólna i semafory).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL </dev/null \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/IPC/ShareLite.pm
%dir %{perl_vendorarch}/auto/IPC/ShareLite
%{perl_vendorarch}/auto/IPC/ShareLite/autosplit.ix
%{perl_vendorarch}/auto/IPC/ShareLite/ShareLite.bs
%attr(755,root,root) %{perl_vendorarch}/auto/IPC/ShareLite/ShareLite.so
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IPC-ShareLite.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 0947d8b
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 7961e6f
- rel 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 3756410
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 645d7c4
- release 2

* Wed Feb 17 2010 amateja <amateja@pld-linux.org> 61b97dc
- updated to 0.17
- removed obsolete patch

* Wed Feb 17 2010 amateja <amateja@pld-linux.org> b7e0951
- obsolete

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 91b56cd
- release 7

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> e052f53
- generic URL

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> 698ffa1
- release 6

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d11aa28
- rel 5

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 98f9fd1
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0ba1577
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3998744
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 7c3f218
- formatting

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> d182505
- spelling fix

* Sat Jun 05 2004 radek <radek@pld-linux.org> 1dfc8a9
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> a527ff7
- rel. 4

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> b4f4db1
- license fixes & unification

* Fri Jan 23 2004 Jakub Bogusz <qboosh@pld-linux.org> acf6f8a
- added types patch (with fix for 64-bit pointers)
- real summaries, new-style bcond, release 3

* Fri Jan 23 2004 Jakub Bogusz <qboosh@pld-linux.org> 73a3ea7
- important fix for 64-bit pointers
- kill warnings about prototypes just in case

